package cn.newfeifan.mall.sale.controller.admin.merchant.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 商户 Response VO")
@Data
@ExcelIgnoreUnannotated
public class MerchantRespVO {

    @Schema(description = "商户id", requiredMode = Schema.RequiredMode.REQUIRED, example = "24252")
    @ExcelProperty("商户id")
    private Long id;

    @Schema(description = "商户名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @ExcelProperty("商户名称")
    private String name;

    @Schema(description = "商户状态，关联商户状态表", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("商户状态，关联商户状态表")
    private Integer status;

    @Schema(description = "简介", example = "随便")
    @ExcelProperty("简介")
    private String description;

    @Schema(description = "负责人")
    @ExcelProperty("负责人")
    private String contact;

    @Schema(description = "所在地")
    @ExcelProperty("所在地")
    private String address;

    @Schema(description = "负责人电话")
    @ExcelProperty("负责人电话")
    private String contactNumber;

    @Schema(description = "官网")
    @ExcelProperty("官网")
    private String website;

    @Schema(description = "维权电话")
    @ExcelProperty("维权电话")
    private String complaintsHotline;

    @Schema(description = "客服电话")
    @ExcelProperty("客服电话")
    private String customerServiceHotline;

    @Schema(description = "邮箱")
    @ExcelProperty("邮箱")
    private String email;

    @Schema(description = "营业执照图片路径")
    @ExcelProperty("营业执照图片路径")
    private String businessLicensePicture;

    @Schema(description = "服务到期时间")
    @ExcelProperty("服务到期时间")
    private LocalDateTime expireTime;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "logo地址", example = "https://www.zhongxing.cn")
    @ExcelProperty("logo地址")
    private String logoUrl;

}